OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions | Variables
base.h File Reference
`#include "ompi_config.h"`
`#include "opal/class/opal_list.h"`
`#include "opal/mca/mca.h"`
`#include "ompi/mca/btl/btl.h"`

Go to the source code of this file.

## Data Structures
struct | mca_btl_base_selected_module_t
struct | mca_btl_base_recv_reg_t

## Typedefs
typedef struct mca_btl_base_selected_module_t | mca_btl_base_selected_module_t
typedef struct mca_btl_base_recv_reg_t | mca_btl_base_recv_reg_t

## Functions
OMPI_DECLSPEC | OBJ_CLASS_DECLARATION (mca_btl_base_selected_module_t)
OMPI_DECLSPEC int | mca_btl_base_open (void)
| Function for finding and opening either all MCA components, or the one that was specifically requested via a MCA parameter.
OMPI_DECLSPEC int | mca_btl_base_select (bool enable_progress_threads, bool enable_mpi_threads)
| Function for weeding out btl components that don't want to run. More...
OMPI_DECLSPEC int | mca_btl_base_close (void)
OMPI_DECLSPEC void | mca_btl_base_dump (struct mca_btl_base_module_t *, struct mca_btl_base_endpoint_t *, int verbose)
OMPI_DECLSPEC int | mca_btl_base_param_register (mca_base_component_t *version, mca_btl_base_module_t *module)

## Variables
OMPI_DECLSPEC int | mca_btl_base_output
char * | mca_btl_base_include
char * | mca_btl_base_exclude
int | mca_btl_base_warn_component_unused
int | mca_btl_base_already_opened
OMPI_DECLSPEC opal_list_t | mca_btl_base_components_opened
OMPI_DECLSPEC opal_list_t | mca_btl_base_modules_initialized
OMPI_DECLSPEC bool | mca_btl_base_thread_multiple_override

## Function Documentation

OMPI_DECLSPEC int mca_btl_base_select | ( | bool | enable_progress_threads,
|  | bool | enable_mpi_threads
| ) |  |

Function for weeding out btl components that don't want to run.

Call the init function on all available components to find out if they want to run. Select all components that don't fail. Failing components will be closed and unloaded. The selected modules will be returned to the caller in a opal_list_t.

References mca_base_component_2_0_0_t::mca_component_name, mca_base_component_2_0_0_t::mca_type_name, opal_argv_split(), opal_list_append, opal_list_get_end(), opal_list_get_first(), opal_list_get_next, opal_list_get_size(), opal_list_remove_item(), opal_output_verbose(), and orte_show_help().